using System;
using System.Collections.Generic;
using System.Linq;
using System.Data;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using BE;
using BL;
using Utilitaria;
using Telerik.Web.UI;
using System.Web.UI.HtmlControls;



public partial class List_Auditoria : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Usuario"] == null)
        {
            Response.Redirect(Utilitaria.Cls_Enums.CerrarSesion.Salir);
        }

        if (!Page.IsPostBack)
        {
            ViewState["ACCID"] = Request.QueryString["ACCID"];
        }


    }

    private void Listar()
    {
        BEUsuariosMovimiento objBEUsuariosMovimiento = new BEUsuariosMovimiento();
        BLUsuariosMovimiento objBLUsuariosMovimiento = new BLUsuariosMovimiento();

        //String Where = "u.UsuarioID=11 and UM.RegistroMovimiento='"+ Cls_Enums.TablaMovimientos.Asientos +"' and UM.tablamovimientoID='" + ViewState["ACCID"].ToString() + "'";
        String Where = "UM.RegistroMovimiento='"+ Cls_Enums.TablaMovimientos.Asientos +"' and UM.tablamovimientoID='" + ViewState["ACCID"].ToString() + "'";

        tk_Grid.DataSource = objBLUsuariosMovimiento.fnSelUsuariosMovimientoDin(Where, "1 desc");

        objBEUsuariosMovimiento = null;
        objBLUsuariosMovimiento = null;

    }

    
   

    protected void showMessage(string strMessage)
    {
        ScriptManager.RegisterStartupScript(this, this.GetType(), "myscript", "alert('" + strMessage + "');", true);
    }
    
    protected void tk_Grid_NeedDataSource(object source, GridNeedDataSourceEventArgs e)
    {
        Listar();
        
    }


    protected void tk_Grid_ItemCommand(object source, GridCommandEventArgs e)
    {
        tk_Grid.ExportSettings.ExportOnlyData = true;
        tk_Grid.ExportSettings.IgnorePaging = true;
        tk_Grid.ExportSettings.OpenInNewWindow = false;

        switch (e.CommandName)
        {
            case "ExportExcel":
                if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                {
                    tk_Grid.MasterTableView.ExportToExcel();
                }
                else
                {
                    showMessage("No posee los privilegios necesario para completar la operación");
                }
                break;
            case "ExportPDF":
                if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                {
                    tk_Grid.MasterTableView.ExportToPdf();
                }
                else
                {
                    showMessage("No posee los privilegios necesario para completar la operación");
                }
                break;
            case "ExportWord":
                if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                {
                    tk_Grid.MasterTableView.ExportToWord();
                }
                else
                {
                    showMessage("No posee los privilegios necesario para completar la operación");
                }
                break;
            case "ExportCSV":
                if (Cls_Propiedades.PrivilegiosUsuario[0].Exporta == 1)
                {
                    tk_Grid.MasterTableView.ExportToCSV();
                }
                else
                {
                    showMessage("No posee los privilegios necesario para completar la operación");
                }
                break;
            case "Print":
                if (Cls_Propiedades.PrivilegiosUsuario[0].Imprime == 1)
                {
                    exportar();
                }
                else
                {
                    showMessage("No posee los privilegios necesario para completar la operación");
                }
                break;

        }

        tk_Grid.Rebind();

    }

    private void exportar()
    {
        String text = "";

        text = "";
        text = text + "&lt;&lt; Actualiza ACC_13_2009>><br>";
        text = text + "&lt; AsientoContableID>=1248<br>";
        text = text + "&lt; SubDiarioID>=110<br>";
        text = text + "&lt; HotelID>=4<br>";
        text = text + "&lt; TipoConversionMonedaID>=111<br>";
        text = text + "&lt; Glosa>=BANCO<br>";
        text = text + "&lt; Comprobante>=1<br>";
        text = text + "&lt; Dia>=Oct 31 2009 12:00AM<br>";
        text = text + "&lt; MonedaID>=1<br>";
        text = text + "&lt; TipoCambio>=2.80<br>";
        text = text + "&lt; Ejercicio>=2009<br>";
        text = text + "&lt; Cerrado>=0<br>";
        lblResultado.Text =  text;

    }


}
